【Deepin】安装smartmontool报错:libc6-dev : 破坏:

错误信息如下:

正在读取软件包列表... 完成
正在分析软件包的依赖关系树       
正在读取状态信息... 完成       
有一些软件包无法被安装。如果您用的是 unstable 发行版,这也许是
因为系统无法达到您要求的状态造成的。该版本中可能会有一些您需要的软件
包尚未被创建或是它们已被从新到(Incoming)目录移出。
下列信息可能会对解决问题有所帮助:

下列软件包有未满足的依赖关系:
 libc6-dev : 破坏: libperl5.26 (< 5.26.1-3) 但是 5.26.0-4 正要被安装
E: 错误,pkgProblemResolver::Resolve 发生故障,这可能是有软件包被要求保持现状的缘故。

解决办法:

sudo apt-get install libc-dev

会提示是否解压,输入’y‘
等安装完成后再重新安装即可

sudo apt-get install smartmontools

一开始提示E:无法定位软件包,可能是名字输入不对,或者可以试下换个源(我用的是中国科学技术大学的)

附上smartmontools使用方法:使用 smartmontools 查看硬盘的健康状态

发布了125 篇原创文章 · 获赞 94 · 访问量 34万+
展开阅读全文

没有更多推荐了,返回首页

©️2019 CSDN 皮肤主题: 编程工作室 设计师: CSDN官方博客

分享到微信朋友圈

×

扫一扫,手机浏览